<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Document</title>
</head>

<body>
    <script>
        /**
         * Задание 1.
         *
         * Объяснить поведение.
         */

        const user = {
            name: 'Walter',
            getName() {
                return this.name;
            },
        };

        const getName = user.getName;

        console.log(getName());
    </script>

</body>

</html>